ViewFunctions.MedicionFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface ViewFunctions.MedicionFunctions

- All Known Implementing Classes:
    MedicionFragment
  Enclosing interface:
    ViewFunctions

      public static interface ViewFunctions.MedicionFunctions

  Interfaz correspondiente al `Fragment MedicionFragment`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayResult(android.support.v7.app.AlertDialog dialog)` Metodo que simplemente muestra el `AlertDialog` que ha recibido como parametro.
    `void` | `setLecturaGoniometroText(java.lang.String lectura)` Metodo "setter" del parametro `lecturaGoniometro` de tipo `TextView`.
    `void` | `setTamañoGoniometro(int tamañoGoniometro)` Metodo que se encarga de fijar el tamaño del goniometro en funcion del ancho de la pantalla del dispositivo.
    `void` | `setTamañoReiniciar(int tamañoReiniciar)` Metodo que se encarga de fijar el tamaño del boton "Reiniciar" en funcion del ancho de la pantalla del dispositivo.
    `void` | `startAnimation(android.view.animation.Animation animation)` Metodo que inicia la animacion sobre la `View` que refleja graficamente el desplazamiento del dispositivo.

- - ### Method Detail

    - #### displayResult

          void displayResult(android.support.v7.app.AlertDialog dialog)

      Metodo que simplemente muestra el `AlertDialog` que ha recibido como parametro.
      Parameters:
        `dialog` - `AlertDialog` a mostrar

    - #### setLecturaGoniometroText

          void setLecturaGoniometroText(java.lang.String lectura)

      Metodo "setter" del parametro `lecturaGoniometro` de tipo `TextView`.
      Parameters:
        `lectura` - Cadena de texto a mostrar en el `TextView`

    - #### startAnimation

          void startAnimation(android.view.animation.Animation animation)

      Metodo que inicia la animacion sobre la `View` que refleja graficamente el desplazamiento del dispositivo.
      Parameters:
        `animation` - `Animation` que se asignara al parametro `desplazamiento`.

    - #### setTamañoGoniometro

          void setTamañoGoniometro(int tamañoGoniometro)

      Metodo que se encarga de fijar el tamaño del goniometro en funcion del ancho de la pantalla del dispositivo.
      Parameters:
        `tamañoGoniometro` - Tamaño final del goniometro

    - #### setTamañoReiniciar

          void setTamañoReiniciar(int tamañoReiniciar)

      Metodo que se encarga de fijar el tamaño del boton "Reiniciar" en funcion del ancho de la pantalla del dispositivo.
      Parameters:
        `tamañoReiniciar` - Tamaño final del boton "Reiniciar"